Bug 5055 - iptables returns "invalid pointer" when using host name in the rule
: iptables returns "invalid pointer" when using host name in the rule
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-24 11:37 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-24 11:37:53
iptables works fine but returns "invalid pointer" when the rule contains host
name which resolves to multiple addresses.
Steps to Reproduce:
$ host rbc.ru
rbc.ru has address 194.186.36.175
rbc.ru has address 194.186.36.178
rbc.ru has address 62.118.249.66
rbc.ru has address 62.118.249.80
rbc.ru has address 194.186.36.150
$ sudo iptables -A FORWARD -s 192.168.0.55 -d rbc.ru -j ACCEPT
Actual Results:  
free(): invalid pointer 0x804c0a4!
$ sudo service iptables status | grep 55
ACCEPT     all  --  192.168.0.55         62.118.249.80
ACCEPT     all  --  192.168.0.55         194.186.36.150
ACCEPT     all  --  192.168.0.55         194.186.36.175
ACCEPT     all  --  192.168.0.55         194.186.36.178
ACCEPT     all  --  192.168.0.55         62.118.249.66

Expected Results:  
$ sudo service iptables status | grep 55
ACCEPT     all  --  192.168.0.55         62.118.249.80
ACCEPT     all  --  192.168.0.55         194.186.36.150
ACCEPT     all  --  192.168.0.55         194.186.36.175
ACCEPT     all  --  192.168.0.55         194.186.36.178
ACCEPT     all  --  192.168.0.55         62.118.249.66
------- Comment #1 From 2004-09-08 16:18:19 -------
fixed in iptables-1.2.11-alt2